# Class ArenaTag`Abstract`

#### Hierarchy (view full)

- ArenaTag
  - MistTag
  - WeakenMoveScreenTag
  - WeakenMoveTypeTag
  - ArenaTrapTag
  - TrickRoomTag
  - GravityTag

- Defined in src/data/arena-tag.ts:25

#####
Index

### Constructors

constructor

### Properties

side
sourceId
sourceMove
tagType
turnCount

### Methods

apply
getMoveName
lapse
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new ArenaTag(tagType, turnCount, sourceMove, sourceId?, side?): ArenaTag

- #### Parameters

  - tagType: ArenaTagType
  - turnCount: number
  - sourceMove: Moves
  - `Optional` sourceId: number
  - side: ArenaTagSide = ArenaTagSide.BOTH

  #### Returns ArenaTag

  - Defined in src/data/arena-tag.ts:33

## Properties

### side

side: ArenaTagSide

- Defined in src/data/arena-tag.ts:30

### sourceId

sourceId: number

- Defined in src/data/arena-tag.ts:29

### sourceMove

sourceMove: Moves

- Defined in src/data/arena-tag.ts:28

### tagType

tagType: ArenaTagType

- Defined in src/data/arena-tag.ts:26

### turnCount

turnCount: number

- Defined in src/data/arena-tag.ts:27

## Methods

### apply

- apply(arena, args): boolean

- #### Parameters

  - arena: Arena
  - args: any[]

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:41

### getMoveName

- getMoveName(): string

- #### Returns string

  - Defined in src/data/arena-tag.ts:59

### lapse

- lapse(arena): boolean

- #### Parameters

  - arena: Arena

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:55

### onAdd

- onAdd(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  - Defined in src/data/arena-tag.ts:45

### onOverlap

- onOverlap(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  - Defined in src/data/arena-tag.ts:53

### onRemove

- onRemove(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  - Defined in src/data/arena-tag.ts:47